Page MenuHomePhabricator

Wrong Namespace shown on second page
Closed, ResolvedPublic

Description

When you submitted a search using AdvancedSearch, and then change the page of the search results, all your AdvancedSearch input is emptied, and put in the general search box instead.

Acceptance Criteria

  • After having search with AdvancedSearch (be it in the form or the namespaces), I can change the page of the search results without changing the way the search terms are displayed. This means, everything I entered in AdvancedSearch will still be in AdvancedSearch

Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptDec 3 2017, 10:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Huji added a subscriber: Huji.Dec 4 2017, 3:31 AM
This comment was removed by Huji.
Huji awarded a token.Dec 4 2017, 3:32 AM
Lea_WMDE triaged this task as Medium priority.Dec 14 2017, 11:46 AM
Lea_WMDE updated the task description. (Show Details)
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2017-12-13 board.

Change 398886 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/AdvancedSearch@master] Add search state parameters to result links

https://gerrit.wikimedia.org/r/398886

Change 398886 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Add search state parameters to result links

https://gerrit.wikimedia.org/r/398886

Tobi_WMDE_SW closed this task as Resolved.Jan 9 2018, 12:51 PM
Tobi_WMDE_SW moved this task from Currently in sprint to Done on the WMDE-Technical-Wishes-Team board.